package com.ruoyi.hywz.common.enums;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @author: jxh
 * @description:
 * @create: 2024/8/5
 */
public enum StampBusinessTypeEnum {

    TYPE_0("type_0", "未匹配"),
    TYPE_1("type_1", "电商"),
    TYPE_2("type_2", "框架"),
    TYPE_3("type_3", "汽油"),
    TYPE_4("type_4", "购电"),
    TYPE_5("type_5", "勘察设计"),
    TYPE_6("type_6", "广告宣传"),
    TYPE_7("type_7", "印刷"),

    TYPE_8("type_8", "技术服务");

    private final String code;
    private final String desc;

    StampBusinessTypeEnum(String code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public String getCode() {
        return code;
    }

    public String getDesc() {
        return desc;
    }

    public static List<Map<String,Object>> getList() {
        List<Map<String,Object>> result = new ArrayList<>();

        result.add(
                new HashMap<String, Object>(){{
                    put("code",StampBusinessTypeEnum.TYPE_0.getCode());
                    put("desc",StampBusinessTypeEnum.TYPE_0.getDesc());
                }});
        result.add(
                new HashMap<String, Object>(){{
                    put("code",StampBusinessTypeEnum.TYPE_1.getCode());
                    put("desc",StampBusinessTypeEnum.TYPE_1.getDesc());
                }});
        result.add(
                new HashMap<String, Object>(){{
                    put("code",StampBusinessTypeEnum.TYPE_2.getCode());
                    put("desc",StampBusinessTypeEnum.TYPE_2.getDesc());
                }});
        result.add(
                new HashMap<String, Object>(){{
                    put("code",StampBusinessTypeEnum.TYPE_3.getCode());
                    put("desc",StampBusinessTypeEnum.TYPE_3.getDesc());
                }});
        result.add(
                new HashMap<String, Object>(){{
                    put("code",StampBusinessTypeEnum.TYPE_4.getCode());
                    put("desc",StampBusinessTypeEnum.TYPE_4.getDesc());
                }});
        result.add(
                new HashMap<String, Object>(){{
                    put("code",StampBusinessTypeEnum.TYPE_5.getCode());
                    put("desc",StampBusinessTypeEnum.TYPE_5.getDesc());
                }});
        result.add(
                new HashMap<String, Object>(){{
                    put("code",StampBusinessTypeEnum.TYPE_6.getCode());
                    put("desc",StampBusinessTypeEnum.TYPE_6.getDesc());
                }});
        result.add(
                new HashMap<String, Object>(){{
                    put("code",StampBusinessTypeEnum.TYPE_7.getCode());
                    put("desc",StampBusinessTypeEnum.TYPE_7.getDesc());
                }});
        result.add(
                new HashMap<String, Object>(){{
                    put("code",StampBusinessTypeEnum.TYPE_8.getCode());
                    put("desc",StampBusinessTypeEnum.TYPE_8.getDesc());
                }});

        return result;
    }

}
